import { ComponentFixture, TestBed } from '@angular/core/testing';

import { TicketMergeDialogComponent } from './ticket-merge-dialog.component';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MAT_DIALOG_DATA, MatDialogModule, MatDialogRef } from '@angular/material/dialog';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatCheckboxModule } from '@angular/material/checkbox';

describe('TicketMergeDialogComponent', () => {
  let component: TicketMergeDialogComponent;
  let fixture: ComponentFixture<TicketMergeDialogComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [TicketMergeDialogComponent],
      imports: [MatSnackBarModule, MatDialogModule, ReactiveFormsModule, HttpClientTestingModule,
        MatAutocompleteModule, MatCheckboxModule],
      providers: [{provide: MatDialogRef, useValue: {}}, {provide: MAT_DIALOG_DATA, useValue: {}}],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(TicketMergeDialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
